Bug 105466 - Crash when changing condition in conditional formatting
Summary: Crash when changing condition in conditional formatting
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.2 rc
Hardware: All All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0 target:5.3.1 target:5.3.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2017-01-21 15:45 UTC by Xisco Faulí
Modified: 2017-01-25 13:09 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (10.33 KB, text/plain)
2017-01-22 13:41 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-01-21 15:45:15 UTC
Steps:
1. Open Calc
2. Go to Format - Conditional Formatting - Condition
3. Change condition from 'Cell value is' to another
4. Crash

Reproduced in

Version: 5.4.0.0.alpha0+
Build ID: d3ff66999d924e832f8219c65ced0526f1a67f82
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-01-21 15:46:32 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2017-01-06 16:18:37 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2017-01-06 16:19:35 (GMT)
commit	ac561ab34ea9d26243fe3791f624c440dcf7ae6d (patch)
tree	e099c8cbd34d9a82045bada1a2aa7ab874fcf6c8
parent	abf38a157eabe867fb23a85901e149a50e6782cd (diff)
Resolves: tdf#105061 Only one text box shown in case of 'between'
non-layout ScCondFormatList widget not responding to layout child change

Adding Cc: to Caolán McNamara
Comment 2 Julien Nabet 2017-01-22 13:41:05 UTC
Created attachment 130612 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated 2 days ago, I could reproduce this.

I attached bt + some gdb printing
Comment 3 MM 2017-01-22 21:38:30 UTC
Crash also happens with Version: 5.3.0.2
Build ID: 5ad7b2889021c491af62f7930a4b1cb631392f16
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; VCL: gtk2; Layout Engine: new; 
Locale: en-US (en_US.UTF-8); Calc: single

Changing some other options under 'Conditional Formatting' also might crash.
Comment 4 Commit Notification 2017-01-23 20:48:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b7c1dcd149cd98136e5ed3e8e0e70255d87cd16

Resolves: tdf#105466 crash when changing conditional formatting condition

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2017-01-23 20:56:22 UTC
backports to 5-3 in gerrit
Comment 6 Commit Notification 2017-01-23 21:17:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ef8740c98e6db96832191985e5cd49ca94be0bf

Related: tdf#105466 add a freeze/thaw to avoid interim RecalcAlls

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-01-23 23:24:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3bc969dd5bb4a45946728806159e658056a2bca&h=libreoffice-5-3

Resolves: tdf#105466 crash when changing conditional formatting condition

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-01-24 17:38:17 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=efbbf4a7950a63b771877f5e9fc98acb174d55ed

tdf#105466: Add uitest

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-01-25 13:09:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=60d9ffd6b6d1507aca3839cf2bfbd7e1f94354f2&h=libreoffice-5-3-0

Resolves: tdf#105466 crash when changing conditional formatting condition

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.